Summary:	Glide runtime for 3Dfx Voodoo2 boards
Name:		Glide_V2
Version:	2.53
Release: 6mdk

Source:		GlideV2.tar.bz2

URL:		http://www.3dfx.com/
Copyright:	3DFX GLIDE General Public License
Group:		System/Libraries
BuildRoot:	%_tmppath/%name-%version-root
Conflicts:	Glide_V3 Glide_V3-DRI
ExclusiveArch: 	%{ix86}

%description
This library allows the user to use a 3dfx Interactive Voodoo Banshee or Voodoo3 card under Linux.

%package devel
Summary:	Development libraries for Glide 2.x
Version:	2.53
Group:		Development/C

%description devel
This package includes the headers files, documentation, and test files
necessary for developing applications that use the 3Dfx Interactive
Voodoo Graphics, Voodoo Rush, or Voodoo2 card.

%prep
%setup -q -c
chmod +x GlideV2/swlibs/include/make/ostype

%build
export FX_GLIDE_HW=cvg
make -C GlideV2 V2

%install
rm -rf $RPM_BUILD_ROOT

######################################################################
# Create directories
######################################################################

install -d -m 755 $RPM_BUILD_ROOT/usr/lib
install -d -m 755 $RPM_BUILD_ROOT/usr/bin
install -d -m 755 $RPM_BUILD_ROOT/usr/include/glide2

######################################################################
# Install the Glide2x libraries
######################################################################

# Install the glibc 2.1 libraries normally
install -m 755 GlideV2/glide2x/cvg/lib/libglide.so.2.53 \
  $RPM_BUILD_ROOT/usr/lib/libglide.so.2.53

# Create symlinks
rm -f $RPM_BUILD_ROOT/usr/lib/libglide.so.2
ln -s libglide.so.2.53 $RPM_BUILD_ROOT/usr/lib/libglide.so.2

rm -f $RPM_BUILD_ROOT/usr/lib/libglide.so
ln -s libglide.so.2.53 $RPM_BUILD_ROOT/usr/lib/libglide.so

# Create a compatibility link for the old name
rm -f $RPM_BUILD_ROOT/usr/lib/libglide2x.so
ln -s libglide.so.2.53 $RPM_BUILD_ROOT/usr/lib/libglide2x.so

rm -f $RPM_BUILD_ROOT/usr/lib/libglide2x.so.2
ln -s libglide.so.2.53 $RPM_BUILD_ROOT/usr/lib/libglide2x.so.2


######################################################################
# Install the Glide3X libraries
######################################################################
install -m 755 GlideV2/glide3x/cvg/lib/libglide3.so.3.01 \
  $RPM_BUILD_ROOT/usr/lib/libglide3.so.3.01
rm -f $RPM_BUILD_ROOT/usr/lib/libglide3x.so

# Create symlinks
rm -f $RPM_BUILD_ROOT/usr/lib/libglide3.so.3
ln -s libglide3.so.3.01 $RPM_BUILD_ROOT/usr/lib/libglide3.so.3

# Is this my responsibility or ldconfig's?
rm -f $RPM_BUILD_ROOT/usr/lib/libglide3.so
ln -s libglide3.so.3.01 $RPM_BUILD_ROOT/usr/lib/libglide3.so

# Create a compatibility link for the old name
rm -f $RPM_BUILD_ROOT/usr/lib/libglide3x.so
ln -s libglide3.so.3.01 $RPM_BUILD_ROOT/usr/lib/libglide3x.so

rm -f $RPM_BUILD_ROOT/usr/lib/libglide3x.so.3
ln -s libglide3.so.3.01 $RPM_BUILD_ROOT/usr/lib/libglide3x.so.3

######################################################################
# Install Texus
######################################################################
install -m 755 GlideV2/glide2x/swlibs/lib/libtexus.so.1.1 \
    $RPM_BUILD_ROOT/usr/lib

rm -f $RPM_BUILD_ROOT/usr/lib/libtexus.so.1
ln -s libtexus.so.1.1 $RPM_BUILD_ROOT/usr/lib/libtexus.so.1

rm -f $RPM_BUILD_ROOT/usr/lib/libtexus.so
ln -s libtexus.so.1 $RPM_BUILD_ROOT/usr/lib/libtexus.so

install -m 755 GlideV2/swlibs/bin/texus $RPM_BUILD_ROOT/usr/bin

######################################################################
# Install the Test Programs
######################################################################
# Make two copies so that the old test3Dfx is still there and
# we now have a consisten testGlide2x, testGlide3x
install -m 755 GlideV2/glide2x/cvg/glide/tests/test00 \
  $RPM_BUILD_ROOT/usr/bin/test3Dfx
install -m 755 GlideV2/glide2x/cvg/glide/tests/test00 \
  $RPM_BUILD_ROOT/usr/bin/testGlide2x

install -m 755 GlideV2/glide3x/cvg/glide3/tests/test00 \
  $RPM_BUILD_ROOT/usr/bin/testGlide3x

# Install headers
install -m 644 GlideV2/glide2x/cvg/glide/src/*.h $RPM_BUILD_ROOT/usr/include/glide2
install -m 644 GlideV2/glide2x/cvg/incsrc/sst1vid.h \
GlideV2/swlibs/fxmisc/3dfx.h \
$RPM_BUILD_ROOT/usr/include/glide2


%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files 
%defattr(-,root,root)

%doc GlideV2/glide_license.txt
/usr/lib/libglide.so.2.53
/usr/lib/libglide.so.2
/usr/lib/libglide2x.so.2
/usr/lib/libglide3.so.3.01
/usr/lib/libglide3.so.3
/usr/lib/libglide3x.so.3
/usr/lib/libtexus.so.1.1
/usr/lib/libtexus.so.1
/usr/bin/texus
/usr/bin/test3Dfx
/usr/bin/testGlide3x
/usr/bin/testGlide2x

%files devel
%defattr(-,root,root)
/usr/lib/libglide.so
/usr/lib/libglide2x.so
/usr/lib/libglide3.so
/usr/lib/libglide3x.so
/usr/lib/libtexus.so
/usr/include


%changelog
* Sat Dec 23 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.53-6mdk
- ExclusiveArch: ix86
- Clean up a litle bit.

* Fri Nov 17 2000 David BAUDENS <baudens@mandrakesoft.com> 2.53-5mdk
- ExcludeArch: ppc

* Fri Sep 08 2000 Yoann Vandoorselaere <yoann@mandrakesoft.com> 2.53-4mdk
- missing include

* Fri Sep 08 2000 Yoann Vandoorselaere <yoann@mandrakesoft.com> 2.53-3mdk
- Include files now installed in /usr/include/glide2 
- GlideV2 archives bziped

* Wed Sep 06 2000 Yoann Vandoorselaere <yoann@mandrakesoft.com> 2.53-2mdk
- cleaned up spec file.

* Tue Aug 29 2000 Yoann Vandoorselaere <yoann@mandrakesoft.com>
- mdk - ised

* Thu Apr 20 2000 Joseph Kain <joseph@3dfx.com>
- Release 6
- Fixes to incompatibility with Athlon

* Thu Feb 17 2000 Joseph Kain <joseph@3dfx.com>
- Release 5
- Fixes to unmap boards properly at shutdown

* Fri Feb 04 2000 Joseph Kain <joseph@3dfx.com>
- Fixed typo that messed up compatbility symlinks for glide3
- Added libglide3x.so.3 and libglide2x.so.2 that were missing from %files

* Mon Jan 31 2000 Joseph Kain <joseph@3dfx.com>
- Merged Glide2x and Glide3x kits into a single package.

* Tue Nov 30 1999 Joseph Kain <joseph@3dfx.com>
- Built against initial source release
